--- System.py	2007-09-14 15:43:18.000000000 +0200
+++ System2.py	2007-09-17 14:22:36.302226000 +0200
@@ -236,27 +236,35 @@
   def get_nomi_coeffs(self):
 
     from miscele import getCoefficientsCrystalF
-    crystalamps  = getCoefficientsCrystalF(self.BONDS, self.VC0, self.VC1,self.VC2, self.ALPHAVC,  self.DREF)
+    crystalamps2  = getCoefficientsCrystalF(self.BONDS2, self.VC0, self.VC1,self.VC2, self.ALPHAVC,  self.DREF)
 
+    crystalamps3  = getCoefficientsCrystalF(self.BONDS3, self.VC0_3, self.VC1_3,self.VC2, self.ALPHAVC,  self.DREF)
+
+
+
+    
     self.crystalnomi=[]
     self.crystalamps=[]
-    for i in range(7):
-      for j in range(i,7):
-        self.crystalnomi.append(  "_CRYSTAL_1_%d_%d_"%(j,i) )
-        self.crystalamps.append(crystalamps[j][i])
+
+    for couche, crystalamps in zip([2,3], [crystalamps2,crystalamps3]):
+      for i in range(7):
+        for j in range(i,7):
+          self.crystalnomi.append(  "_CRYSTAL_%d_%d_%d_"%(couche, j,i) )
+          self.crystalamps.append(crystalamps[j][i])
      
     if(1):
       from miscele import getCoefficientsF
-
-      grapamps = getCoefficientsF(self.BONDS, self.Vs, self.Vp, self.ALPHAVSP, self.DREF)
-
+      
       self.grapnomi=[]
       self.grapamps=[]
 
-      for i in range(7):
-        for j in range(7):
-          self.grapnomi.append(  "_mixer_"+str(-3+i)+"_"+str(-3+j)  )
-          self.grapamps.append(grapamps[i][j])
+      for couche,(Vs,Vp), BONDS  in zip([2,3] , [ (self.Vs, self.Vp), (self.Vs3, self.Vp3)]  , [self.BONDS2, self.BONDS3] ):
+        grapamps = getCoefficientsF(BONDS, Vs, Vp, self.ALPHAVSP, self.DREF)
+
+        for i in range(7):
+          for j in range(7):
+            self.grapnomi.append(  "_mixer_"+str(couche)+"_"+str(-3+i)+"_"+str(-3+j)  )
+            self.grapamps.append(grapamps[i][j])
 
       print self.grapnomi
       print self.grapamps
